unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, ToolWin, FileCtrl, StdCtrls, ExtCtrls, OleCtrls, PreviewHTML,
  Menus;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Open1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    View1: TMenuItem;
    FileList1: TMenuItem;
    N2: TMenuItem;
    DocumentSource1: TMenuItem;
    OpenDialog1: TOpenDialog;
    PreviewHTML1: TPreviewHTML;
    Panel1: TPanel;
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox1: TDirectoryListBox;
    FileListBox1: TFileListBox;
    procedure FileListBox1Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FileList1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure DocumentSource1Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  Form1: TForm1;

implementation
uses DocSrc;

{$R *.DFM}

procedure TForm1.FileListBox1Click(Sender: TObject);
begin
PreviewHTML1.LoadHTML(FileListBox1.FileName);
If (AnsiUppercase(ExtractFileExt(FileListBox1.FileName))='.HTML')
  or (AnsiUppercase(ExtractFileExt(FileListBox1.Filename))='.HTM')
  then DocumentSource1.Enabled:=true
  else
  DocumentSource1.Enabled:=false;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
FileListBox1.Top:=8;
FileListBox1.Height:=Panel1.Height-180;
DirectoryListBox1.Top:=FileListBox1.Height+16;
DriveComboBox1.Top:=Panel1.Height-24;
end;

procedure TForm1.FileList1Click(Sender: TObject);
begin
FileList1.Checked:=Not FileList1.Checked;
Panel1.Visible:=FileList1.Checked;
end;

procedure TForm1.Open1Click(Sender: TObject);
begin
If OpenDialog1.Execute then PreviewHTML1.LoadHTML(OpenDialog1.FileName);
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
Close;

end;

procedure TForm1.DocumentSource1Click(Sender: TObject);
begin

with DocSourceFrm do
  begin
    Show;
    Memo1.Lines.Clear;
   
    Memo1.Lines.LoadFromFile(PreviewHTML1.GetLocationName);
    Memo1.SelStart := 0;
    SendMessage(Memo1.Handle, EM_ScrollCaret, 0, 0);
  end;
end;

end.
